<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="a2c44b8d-77e7-424e-a581-5c6f3afa9947" name="Changes" comment=" update">
      <change afterPath="$PROJECT_DIR$/db/20250901113238.nb3" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/jeecg-module-wcs/src/main/java/org/jeecg/modules/readme" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/jeecg-module-system/jeecg-system-start/src/main/resources/application-dev.yml" beforeDir="false" afterPath="$PROJECT_DIR$/jeecg-module-system/jeecg-system-start/src/main/resources/application-dev.yml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/jeecg-module-wcs/src/main/java/org/jeecg/modules/wcs/stacker/task/WcsStackerTask.java" beforeDir="false" afterPath="$PROJECT_DIR$/jeecg-module-wcs/src/main/java/org/jeecg/modules/wcs/stacker/task/WcsStackerTask.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/jeecg-module-wcs/src/main/java/org/jeecg/modules/wcs/stackerTaskInfo/services/impl/WcsStackerTasksServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/jeecg-module-wcs/src/main/java/org/jeecg/modules/wcs/stackerTaskInfo/services/impl/WcsStackerTasksServiceImpl.java" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 8
}</component>
  <component name="ProjectId" id="2q0lUP5KNnprHqsWMwcPZaSIkiY" />
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;Application.ReadAllValuesFromPLCDb100.executor&quot;: &quot;Debug&quot;,
    &quot;Maven.jeecg-boot-parent [clean].executor&quot;: &quot;Run&quot;,
    &quot;Maven.jeecg-boot-parent [package].executor&quot;: &quot;Run&quot;,
    &quot;RequestMappingsPanelOrder0&quot;: &quot;0&quot;,
    &quot;RequestMappingsPanelOrder1&quot;: &quot;1&quot;,
    &quot;RequestMappingsPanelWidth0&quot;: &quot;75&quot;,
    &quot;RequestMappingsPanelWidth1&quot;: &quot;75&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;Spring Boot.JeecgSystemApplication.executor&quot;: &quot;Debug&quot;,
    &quot;git-widget-placeholder&quot;: &quot;master&quot;,
    &quot;kotlin-language-version-configured&quot;: &quot;true&quot;,
    &quot;last_opened_file_path&quot;: &quot;D:/otherProject/jeecg-boot-wcs-cc/jeecg-boot/db&quot;,
    &quot;node.js.detected.package.eslint&quot;: &quot;true&quot;,
    &quot;node.js.detected.package.tslint&quot;: &quot;true&quot;,
    &quot;node.js.selected.package.eslint&quot;: &quot;(autodetect)&quot;,
    &quot;node.js.selected.package.tslint&quot;: &quot;(autodetect)&quot;,
    &quot;nodejs_package_manager_path&quot;: &quot;npm&quot;,
    &quot;run.configurations.included.in.services&quot;: &quot;true&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;preferences.pluginManager&quot;,
    &quot;vue.rearranger.settings.migration&quot;: &quot;true&quot;
  }
}</component>
  <component name="ReactorSettings">
    <option name="notificationShown" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\otherProject\jeecg-boot-wcs-cc\jeecg-boot\db" />
      <recent name="D:\otherProject\jeecg-boot-wcs-cc\jeecg-boot\jeecg-module-wcs\src\main\java\org\jeecg\modules\wms\vo" />
      <recent name="D:\otherProject\jeecg-boot-wcs-cc\jeecg-boot\jeecg-module-wcs\src\main\java\org\jeecg\modules\wms" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="org.jeecg.modules.wcs.stackerTaskInfo.services.impl" />
      <recent name="org.jeecg.modules.wcs.stackerTaskInfo.services" />
      <recent name="org.jeecg.modules.wcs.stackerTaskInfo.mapper" />
      <recent name="org.jeecg.modules.wcs.stackerTaskInfo.entity" />
      <recent name="org.jeecg.modules.wcs.stackerTaskInfo.vo" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="configurationTypes">
      <set>
        <option value="KtorApplicationConfigurationType" />
        <option value="MicronautRunConfigurationType" />
        <option value="QuarkusRunConfigurationType" />
        <option value="SpringBootApplicationConfigurationType" />
      </set>
    </option>
  </component>
  <component name="RunManager" selected="Spring Boot.JeecgSystemApplication">
    <configuration name="ReadAllValuesFromPLCDb100" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="org.jeecg.modules.wcs.stacker.read.ReadAllValuesFromPLCDb100" />
      <module name="jeecg-module-wcs" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="org.jeecg.modules.wcs.stacker.read.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="JeecgDemoCloudApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="jeecg-demo-cloud-start" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="org.jeecg.JeecgDemoCloudApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="JeecgGatewayApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="jeecg-cloud-gateway" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="org.jeecg.JeecgGatewayApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="JeecgMonitorApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="jeecg-cloud-monitor" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="org.jeecg.monitor.JeecgMonitorApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="JeecgNacosApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="jeecg-cloud-nacos" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.alibaba.nacos.JeecgNacosApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="JeecgSentinelApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="jeecg-cloud-sentinel" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.alibaba.csp.sentinel.dashboard.JeecgSentinelApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="JeecgSystemApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="jeecg-system-start" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="org.jeecg.JeecgSystemApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="JeecgSystemCloudApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="jeecg-system-cloud-start" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="org.jeecg.JeecgSystemCloudApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="XxlJobAdminApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="jeecg-cloud-xxljob" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.xxl.job.admin.XxlJobAdminApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.ReadAllValuesFromPLCDb100" />
      </list>
    </recent_temporary>
  </component>
  <component name="SharedIndexes">
    <attachedChunks>
      <set>
        <option value="bundled-jdk-9823dce3aa75-28b599e66164-intellij.indexing.shared.core-IU-242.23339.11" />
        <option value="bundled-js-predefined-d6986cc7102b-5c90d61e3bab-JavaScript-IU-242.23339.11" />
      </set>
    </attachedChunks>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="a2c44b8d-77e7-424e-a581-5c6f3afa9947" name="Changes" comment="" />
      <created>1733807388590</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1733807388590</updated>
      <workItem from="1733807389590" duration="6785000" />
      <workItem from="1733878741182" duration="7733000" />
      <workItem from="1733991663046" duration="6052000" />
      <workItem from="1734058247406" duration="6394000" />
      <workItem from="1734171921929" duration="34000" />
      <workItem from="1734400826187" duration="20022000" />
      <workItem from="1734485208273" duration="8492000" />
      <workItem from="1734495863218" duration="3115000" />
      <workItem from="1734503396213" duration="6715000" />
      <workItem from="1734516394824" duration="757000" />
      <workItem from="1734517299415" duration="882000" />
      <workItem from="1734571388536" duration="2305000" />
      <workItem from="1734588266040" duration="4923000" />
      <workItem from="1734660527471" duration="9227000" />
      <workItem from="1734702268498" duration="705000" />
      <workItem from="1734745798709" duration="1264000" />
      <workItem from="1734921892797" duration="7482000" />
      <workItem from="1735001479642" duration="5658000" />
      <workItem from="1735118694791" duration="1632000" />
      <workItem from="1735139323355" duration="455000" />
      <workItem from="1735175804220" duration="4532000" />
      <workItem from="1735263539891" duration="1839000" />
      <workItem from="1735273002279" duration="249000" />
      <workItem from="1735282883518" duration="610000" />
      <workItem from="1735347192060" duration="1258000" />
      <workItem from="1735542658957" duration="1360000" />
      <workItem from="1736994651292" duration="4695000" />
      <workItem from="1739690219570" duration="2551000" />
      <workItem from="1740045933204" duration="477000" />
      <workItem from="1741616366879" duration="60000" />
      <workItem from="1741761754706" duration="3824000" />
      <workItem from="1747383981998" duration="654000" />
      <workItem from="1747818283393" duration="600000" />
      <workItem from="1748221052222" duration="657000" />
      <workItem from="1748307524094" duration="8000" />
      <workItem from="1756696571411" duration="5411000" />
      <workItem from="1756884809035" duration="3470000" />
      <workItem from="1756967815566" duration="922000" />
    </task>
    <task id="LOCAL-00001" summary="update">
      <option name="closed" value="true" />
      <created>1733994417044</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1733994417044</updated>
    </task>
    <task id="LOCAL-00002" summary="update">
      <option name="closed" value="true" />
      <created>1734061845126</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1734061845126</updated>
    </task>
    <task id="LOCAL-00003" summary="update">
      <option name="closed" value="true" />
      <created>1734416512593</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1734416512593</updated>
    </task>
    <task id="LOCAL-00004" summary="update">
      <option name="closed" value="true" />
      <created>1734496896343</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1734496896343</updated>
    </task>
    <task id="LOCAL-00005" summary="update">
      <option name="closed" value="true" />
      <created>1734676040202</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1734676040202</updated>
    </task>
    <task id="LOCAL-00006" summary=" update">
      <option name="closed" value="true" />
      <created>1734949238044</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1734949238044</updated>
    </task>
    <task id="LOCAL-00007" summary=" update">
      <option name="closed" value="true" />
      <created>1735119255812</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1735119255812</updated>
    </task>
    <option name="localTasksCounter" value="8" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="update" />
    <MESSAGE value=" update" />
    <option name="LAST_COMMIT_MESSAGE" value=" update" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/jeecg-module-wcs/src/main/java/org/jeecg/modules/wcs/stackerTaskInfo/services/impl/WcsStackerTasksServiceImpl.java</url>
          <line>243</line>
          <option name="timeStamp" value="2" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/jeecg-module-wcs/src/main/java/org/jeecg/modules/wcs/stackerTaskInfo/services/impl/WcsStackerTasksServiceImpl.java</url>
          <line>245</line>
          <option name="timeStamp" value="5" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>